> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get List of Teams > Lists the public and private teams the request sender is part of. ## OpenAPI ````json GET /api/v1/teams.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/teams.list": { "get": { "tags": [ "Teams" ], "summary": "Get List of Teams", "description": "Lists the public and private teams the request sender is part of.", "operationId": "get-api-v1-teams.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/query" } ], "responses": { "200": { "description": "OK\n\nNote that the `roomId` is main room id of the team.", "content": { "application/json": { "schema": { "type": "object", "properties": { "teams": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "integer" }, "createdAt": { "type": "string" }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "roomId": { "type": "string" }, "rooms": { "type": "integer" }, "numberOfUsers": { "type": "integer" } } } }, "total": { "type": "integer" }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "teams": [ { "_id": "63f3efc4b000b6b6d86704b2", "name": "test-audit", "type": 0, "createdAt": "2023-02-20T22:10:12.733Z", "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "test.test" }, "_updatedAt": "2023-02-20T22:10:12.843Z", "roomId": "6GFJ3tbmHiyHbahmC", "rooms": 0, "numberOfUsers": 2 }, { "_id": "65149c7ea2f73c7460e18cab", "name": "messages", "type": 0, "createdAt": "2023-09-27T21:19:58.972Z", "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie" }, "_updatedAt": "2023-09-27T21:19:59.038Z", "roomId": "6513afeda2f73c7460e18c86", "rooms": 0, "numberOfUsers": 2 } ], "total": 2, "count": 2, "offset": 0, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "query": { "name": "query", "in": "query", "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": `query={ \"name\": { \"$regex\": \"g\" } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": {} } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````